import java.awt.*;
import javax.swing.*;
/**
 * Title: JAboutD
 * Description: This Dialog shows informations about the programm
 * @author: Dimitri Missoh & Daniel Schlosser
 * @version 0.1
 */
public class JAboutD extends javax.swing.JDialog
{
	public JAboutD(Frame parentFrame)
	{
		super(parentFrame);
		setTitle("JFC Application - About");
		setModal(true);
		getContentPane().setLayout(new BorderLayout(0,0));
		setSize(300,450);
		setVisible(false);
		JPanel1.setLayout(new FlowLayout(FlowLayout.CENTER,5,5));
		getContentPane().add(BorderLayout.SOUTH,JPanel1);
		JButton1.setText("OK");
		JButton1.setActionCommand("OK");
		JPanel1.add(JButton1);
		JTextField1.setEditable(false);
		getContentPane().add(BorderLayout.CENTER,JTextField1);
		String textToShow=      "This is version 0.1\n\n"
                                        +"The developers are:\n\n"
                                        +"  Genetischer Algorithmus\n"
                                        +"  -Susanne Halstead\n"
                                        +"  -Bernd Jkel\n\n"
                                        +"  Simulation und Agentensteuerung\n"
                                        +"  -Jan Bannert\n"
                                        +"  -Steffen Glckselig\n"
                                        +"  -Clemens Mhlberger\n\n"
                                        +"  GUI\n"
                                        +"  -Dimitri Missoh\n"
                                        +"  -Daniel Schlosser";
                JTextField1.setText(textToShow);
		SymWindow aSymWindow = new SymWindow();
		this.addWindowListener(aSymWindow);
		SymAction lSymAction = new SymAction();
		JButton1.addActionListener(lSymAction);
	}

	public void setVisible(boolean b)
	{
	    if (b)
	    {
    		Rectangle bounds = (getParent()).getBounds();
    		Dimension size = getSize();
    		setLocation(bounds.x + (bounds.width - size.width)/2,
    			        bounds.y + (bounds.height - size.height)/2);
	    }

		super.setVisible(b);
	}

	javax.swing.JPanel JPanel1 = new javax.swing.JPanel();
	javax.swing.JButton JButton1 = new javax.swing.JButton();
	javax.swing.JTextField JTextField1 = new javax.swing.JTextField();

	class SymWindow extends java.awt.event.WindowAdapter
	{
		public void windowClosing(java.awt.event.WindowEvent event)
		{
			Object object = event.getSource();
			if (object == JAboutD.this)
				jAboutDialog_windowClosing(event);
		}
	}

	void jAboutDialog_windowClosing(java.awt.event.WindowEvent event)
	{
		try {
			// JAboutDialog Hide the JAboutDialog
			this.setVisible(false);
		} catch (Exception e) {
		}
	}

	class SymAction implements java.awt.event.ActionListener
	{
		public void actionPerformed(java.awt.event.ActionEvent event)
		{
			Object object = event.getSource();
			if (object == JButton1)
				JButton1_actionPerformed(event);
		}
	}

	void JButton1_actionPerformed(java.awt.event.ActionEvent event)
	{
		try {
			// JAboutDialog Hide the JAboutDialog
			this.setVisible(false);
		} catch (Exception e) {
		}
	}
}