import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class JEGenAlgD extends javax.swing.JDialog implements ActionListener
{
	public JEGenAlgD(Einstellungen einstellungen)
	{
		super();
		this.einstellungen=einstellungen;
		setTitle("Einstellungen Genetischer Algorithmus");
		setModal(true);
		getContentPane().setLayout(new GridLayout(5,1));
		setSize(400,200);
		setVisible(false);
		JPanel p2=new JPanel();
		p2.add(this.doCrossOverCB);
		p2.add(new JLabel(" "));
		getContentPane().add(p2);
		JPanel p1=new JPanel();
		JLabel1.setText("Mutationswahrscheinlichkeit");
		p1.add(JLabel1);
		JMutationProbTF.setColumns(10);
		p1.add(JMutationProbTF);
		getContentPane().add(p1);
		JPanel p3=new JPanel();
		JLabel2.setText("Gre des Genpools");
		p3.add(JLabel2);
		genpoolSizeTF.setColumns(10);
		p3.add(genpoolSizeTF);
		getContentPane().add(p3);
		JPanel p5=new JPanel();

		p5.add(new JLabel("Anzahl der Gene pro Genom"));
		this.numberGensInGenomTF.setColumns(10);
		p5.add(numberGensInGenomTF);
		getContentPane().add(p5);
		JPanel p4=new JPanel();
		p4.setLayout(new FlowLayout(FlowLayout.CENTER));
		getContentPane().add(p4);
		p4.add(CancelB);
		p4.add(OKB);
		OKB.addActionListener(this);
		CancelB.addActionListener(this);
	}
	public void setVisible(boolean b)
	{
		if (b)
		{
			setLocation(50, 50);
			this.numberGensInGenomTF.setText(String.valueOf(einstellungen.getNumberGensInGenom()));
			this.genpoolSizeTF.setText(String.valueOf(einstellungen.getGenpoolSize()));
			this.JMutationProbTF.setText(String.valueOf(einstellungen.getMutationProb()));
			this.doCrossOverCB.setSelected(einstellungen.getDoCrossover());
		}
		super.setVisible(b);
	}
	public void actionPerformed(ActionEvent e)
	{
	    Object o=e.getSource();
	    if(o==OKB)
	    {
		{
		double puffer;
		try{
		    puffer=Double.parseDouble(JMutationProbTF.getText());
		}catch(Exception ex)
		{
		    puffer=0.25;
		}
		einstellungen.setMutationProb(puffer);
		}
		int puffer;
		try{
		    puffer=Integer.parseInt(numberGensInGenomTF.getText());
		}
		catch(Exception ex){puffer=10;}
		einstellungen.setNumberGensInGenom(puffer);
		try{
		    puffer=Integer.parseInt(genpoolSizeTF.getText());
		}catch (Exception ex){puffer=20;}
		einstellungen.setGenpoolSize(puffer);
		einstellungen.setDoCrossover(this.doCrossOverCB.isSelected());
		this.setVisible(false);
	    }
	    else if(o==CancelB)
	    {
		this.setVisible(false);
	    }
	}

	javax.swing.JLabel JLabel1 = new javax.swing.JLabel();
	javax.swing.JTextField JMutationProbTF = new javax.swing.JTextField();
	javax.swing.JLabel JLabel2 = new javax.swing.JLabel();
	javax.swing.JTextField genpoolSizeTF = new javax.swing.JTextField();
	private javax.swing.JTextField numberGensInGenomTF = new javax.swing.JTextField();
	private JButton OKB=new JButton("OK");
	private JButton CancelB=new JButton("Abbrechen");
	private Einstellungen einstellungen;
	private javax.swing.JCheckBox doCrossOverCB = new javax.swing.JCheckBox("Crossover");
}