
/**
 * Title: ErrorMessages
 * Description: Klasse um die Fehler anzuzeigen.
 * @author Daniel Schlosser & Dimitri Missoh
 * @version 0.1
 */

public class ErrorMessages {
    public static boolean DEBUG = false;

    public static void error(String message) {
        System.err.print("Speicherung: ");
        System.err.println(message);
    }
    public static void error(String message, Exception e) {
        if (DEBUG) {
            if (e != null) {
                e.printStackTrace();
            }
        }
        System.err.print("Speicherung: ");
        System.err.println(message);
    }
    public static void fatalError(String message, Exception e) {
        if (DEBUG) {
            if (e != null) {
                e.printStackTrace();
            }
        }
        System.err.print("Speicherung: ");
        System.err.println(message);
        System.err.println("Exiting.....");
        System.exit(-1);
    }
}

